

> To: [email-masked]
> Subject: GACS (Guide to Available Chemistry Software) Project ?
> Reply-To: [email-masked]
> Content-Length: 1884
> X-Lines: 55
> Status: RO
> 
> Hello all,
> 
> There a many places where archives for chemistry software
> are under current development. But still, software for a
> given problem is often difficult to find.
> 
> In my opinion, there is a need for a Guide to Available
> Chemistry Software (GACS) Project. It should be similar in 
> spirit to the Guide to Available Mathematical Software 
> (GAMS) project. This is a database structured by problem
> classes and subclasses. The database contains the pointer to
> a place where the software can be obtained. GAMS is available 
> under gopher or WWW as
> #
> Type=1
> Name=GAMS (Guide to Available Mathematical Software project)
> Path=
> Host=gams.nist.gov
> Port=70
> URL: http//gams.nist.gov
> #
> and offers a telnet and an X11 user interface.
> 
> Maybe that some features of a GACS
> are already implemented or under construction.
> 
> My question is whether anybody knows of any GACS-like 
> project or plans for it. If there is some interest group
> for such a project, please let me know. 
> 
> Perhaps it is not too much effort to get a GACS started.
> It might be possible to get interface and database software 
> from the GAMS people. Then, some people have to decide on a
> class/subclass structure of common chemical problems for
> which software is available or desirable. The most laborious
> part would be to enter the data per software module. But
> this could perhaps be done in some "automated" fashion or
> by each software provider for his/her software.
> 
> What do you think about this? In case of suffient response
> I will summarize to CCL.
> 
> Best regards
> 
> Herbert
> 
> --------------------------------------------------------------
> Dr. Herbert H. H. Homeier
> Institut fuer Physikalische und Theoretische Chemie
> Universitaet Regensburg
> D-93040 Regensburg, Germany
> Phone: +49-941-943 4720                FAX  : +49-941-943 2305
> email: [email-masked]
> --------------------------------------------------------------
> 
> 

ANSWERS:

--------------------------------------------
> From [email-masked] Fri Jul  8 18:49:08 1994
> X-Vms-To: ETHZ::"Herbert Homeier (t4720) 
>           <[email-masked]>"
> To: Herbert Homeier (t4720) <[email-masked]>
> Subject: RE: CCL:GACS (Guide to Available Chemistry Software) Project ?
> Content-Length: 317
> X-Lines: 16
> 
> Dear Herbert,
> 
> There is no question that 
> implementation of such project 
> would be utterly desirable.
> 
> The possible obstacle is a purely
> practical one, in my opinion.
> It is who will volunteer to do
> hard work and where to get 
> the resources from.
> 
> I really wish the idea will be implemented.
> 
> Sincerely,
> Ayaz Bakasov.
> 
-------------------------------------------

> From [email-masked] Sat Jul  9 05:36:17 1994
> Resent-From: <[email-masked]>
> Resent-Date: Fri, 8 Jul 1994 23:38:54 -0400
> Resent-Message-Id: <[email-masked]>
> Resent-To: [email-masked] (by na-net.ornl.gov)
> To: Herbert Homeier <[email-masked]>
> Subject: Re: GACS proposal
> Content-Length: 1466
> X-Lines: 28
> 
> I very much like the idea of a GACS.  The closest existing thing is QCPE, which
> is narrower in scope and a lot more restrictive in coverage.  However, there are
> two potential problems that I wonder how you propose to handle:
> 
> 1.  A remarkable number of people (myself included!) do not have access to WWW
> (in any practical sense).  I have dialup access via CompuServe and Delphi; only
> recently have I got 9500 baud access; the channel capacity to handle Mosaic is
> just not there.  Sure, I can get the Mosaic software for free but I can't
> effectively use it.  My suggestion: have a "static" copy of the GACS on an FTP
> site as a (big!) document; and/or set up a Gopher tree.
> 
> 2. Probably a majority of the software packages for chemistry are commercial,
> and as such would not tend to be available directly over the net.  How would you
> handle indexing commercial software?  Let the vendor's marketing department
> write the description (at least everything would look *wonderful*!  :-)  )?
> Have independent reviews?  By whom?
> 
> The reviews idea sparked a possible suggestion: have an area where satisfied (or
> dissatisfied) users of the software could submit comments about their
> experience.  Does the math package handle this?
> 
> It's a good idea; there is a lot of software - and a lot of wheel-reinvention -
> out there.  Some accessible central clearing house would be a great idea.
> 
> John Vinson
> Wysard of Information
> Scientific Information Systems independent consultant
> 
> 
-------------------------------------------------------

> From [email-masked] Sat Jul  9 14:48:22 1994
> Resent-Date: Sat, 9 Jul 1994 08:50:53 -0400
> Resent-From: "<[email-masked]
> Resent-Message-Id: <[email-masked]>
> Resent-To: [email-masked] (by na-net.ornl.gov)
> Subject: Re: CCL:GACS (Guide to Available Chemistry Software) Project ?
> To: [email-masked]
> Mime-Version: 1.0
> Content-Type> : > TEXT/PLAIN> ; > charset=US-ASCII> 
> Content-Length: 185
> X-Lines: 8
> 
> Hi Herbert.
> A. let there be GACS soon and we shell all prosper.
> B. I would appreciate it if you'll forward any knowledge guthered to me.
> 			cheers
> 				yinon
> 				[email-masked]
> 
> 
> 
---------------------------------------------

> From [email-masked] Mon Jul 11 08:15:14 1994
> Resent-From: <[email-masked]>
> Resent-Date: Mon, 11 Jul 1994 02:17:57 -0400
> Resent-Message-Id: <[email-masked]>
> Resent-To: [email-masked] (by na-net.ornl.gov)
> To: [email-masked]
> Subject: GACS database
> Cc: [email-masked]
> Content-Length: 966
> X-Lines: 20
> 
> 
> Dear dr. Homeier,
> 
> I think this is a great idea, starting a database of chemical software. However,
> to guarantee some level of quality it might be smart to have some refereeing/
> reviewing system as the community is not waiting for a junkyard-type of data
> base.
> Anyways, I fullheartedly support your initiative
> 
> Andrepeter Heiner
>  -----------------------------------------------------------------------------
>  | A.P. Heiner, Ph.D.             |  Phone      : +358-0-456 5105            | 
>  | VTT                            |  Telefax    : +358-0-455 2103            |
>  | Biotechnology & Food Research  |  E-mail     : [email-masked]      |
>  | P.O. Box 1503                  |                                          |
>  | FIN-02044 VTT Espoo            |                                          | 
>  | FINLAND                        |                                          |
>  -----------------------------------------------------------------------------
> 
> 
> 

============================================================

My email to Ron Boisvert:

Dear Ron,

thank you for your answer concerning GAMS covering of symbolic
computation software. The crucial problem seems to be man power, then.
Unfortunately, I do not have a large group of helpers available, either.
The idea with external editors is probably a good one. One could think
of using WWW as input facility for descriptions of any  contributor 
which then might be refereed. In this way, one could produce properly
formatted database entries easily and combine it with some quality control.
(One could think of making available the small (?) database of entries which 
have not been refereed sofar, on the basis that a label "not refereed" is
added to those entries.)

I feel that the idea of GAMS is so good that it could well be extended 
to Guides to Available (...) Software projects, where (...) might be
Chemistry, Physics, etc.. I include a message the to the computational 
chemistry list that points into this direction:

 (deleted)

Now my question raised also above: 

Would it be possible to obtain software from you to run such a
GACS project? How much work would you estimate to develop a GACS
with the help of your software, how much without? What are the
hardware requirements for a GACS server (amount of disk space,
netload) ?

Any information will be highly appreciated.

Best regards 

Herbert

========================================

The answer:

> From [email-masked] Fri Jul  8 19:52:32 1994
> Resent-From: <[email-masked]>
> Resent-Date: Fri, 8 Jul 1994 13:55:06 -0400
> Resent-Message-Id: <[email-masked]>
> Resent-To: [email-masked] (by na-net.ornl.gov)
> To: [email-masked]
> Subject: Re: A further Question about GAMS
> Content-Length: 3022
> X-Lines: 57
> 
> > I feel that the idea of GAMS is so good that it could well be extended 
> > to Guides to Available (...) Software projects, where (...) might be
> > Chemistry, Physics, etc.. I include a message the to the computational 
> > chemistry list that points into this direction:
> 
> Thank you very much for your kind words and for recommending GAMS as a
> model to your colleagues.
> 
> > Would it be possible to obtain software from you to run such a
> > GACS project? How much work would you estimate to develop a GACS
> > with the help of your software, how much without? What are the
> > hardware requirements for a GACS server (amount of disk space,
> > netload) ?
> 
> Yes, you can get the GAMS server and database from us.  It is not
> commercial grade software, and we modify it continually, so that
> someone would have to become an expert in its working in order to
> make good use of it.  The server is written in C, but the GAMS
> database is managed using RIM, a Fortran-based relational database
> management system.  RIM is sold commercially by various companies,
> but we have a public-domain version that runs on a Sun (moving it to
> other systems might be a chore -- it requires nonstandard Vax Fortran
> extensions which the Sun compiler can handle). We have Fortran
> programs that we use to maintain the database (i.e. put in info on
> new software, delete things, etc.)  There is also a C program that
> acts as a gateway between the GAMS server and the WWW.  This program
> is run by the NCSA HTTPD server software using its Common Gateway
> Interface.  I will send you serveral papers (as compressed uuencoded
> PostScript files) that describe the architecture of the system in a
> little more detail.
> 
> gams.nist.gov is a Sun SPARC 10 Model 51 workstation.  It has the
> native GAMS server, an HTTP server, and a Gopher server.  For the
> month of June there were a total of about 58000 transactions
> processed by these servers.  There were 988 GAMS client startups and
> 2227 WWW homepage retrievals, whose sum represents the number of
> distinct usages of GAMS.  Also, this host admits anonymous logins for
> gams and xgams users, and there were about 850 of them in June.  In
> spite of this usage level the system is not particularly taxed. It
> could easily handle twice the load it now gets.  Since GAMS is a
> virtual repository disk space is not a problem for us --- GAMS
> indexes external repositories and accesses them on demand on behalf
> of users.
> 
> As for development time, having our GAMS system would probably help,
> but there would be some initial cost in learning it.  The biggest
> difficulty would be in designing a usable classification scheme,
> classifying the software, and importing this information into the
> system.  Our database is useful to us since we have a rather large
> number of modules (> 9000) in more than 80 packages whose data we
> wish to maintain.  If the sum total of objects that you are dealing
> with is much smaller (on the irder of hundreds), then using GAMS
> might be overkill. 
> 
> I'd be happy to discuss this further with you.
> 
> - Ron Boisvert
>